using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.SophtainerIO
{

	[Serializable]
	public class SophtainerException : Exception
	{
		public SophtainerException() { }
		public SophtainerException(SophtainerExceptionKind message) : base(message.ToString()) { }
		public SophtainerException(SophtainerExceptionKind message, Exception inner) : base(message.ToString(), inner) { }
		protected SophtainerException(
		  System.Runtime.Serialization.SerializationInfo info,
		  System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
	}

	public enum SophtainerExceptionKind
	{
		InvalidMagic,
		UnknownMetadataOpcode,
		WrongEndian
	}
}
